add_subdirectory("eigenvalue")
add_subdirectory("paamg")
add_subdirectory(test)

#install headers
install(FILES
   allocator.hh
   basearray.hh
   bcrsmatrix.hh
   bdmatrix.hh
   btdmatrix.hh
   bvector.hh
   colcompmatrix.hh
   gsetc.hh
   ildl.hh
   ilu.hh
   ilusubdomainsolver.hh
   io.hh
   istlexception.hh
   ldl.hh
   matrix.hh
   matrixindexset.hh
   matrixmarket.hh
   matrixmatrix.hh
   matrixredistribute.hh
   matrixutils.hh
   multitypeblockmatrix.hh
   multitypeblockvector.hh
   novlpschwarz.hh
   operators.hh
   overlappingschwarz.hh
   owneroverlapcopy.hh
   pardiso.hh
   preconditioner.hh
   preconditioners.hh
   repartition.hh
   scalarproducts.hh
   scaledidmatrix.hh
   schwarz.hh
   solvercategory.hh
   solver.hh
   solvers.hh
   solvertype.hh
   spqr.hh
   superlu.hh
   superlufunctions.hh
   supermatrix.hh
   umfpack.hh
   vbvector.hh
   DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/istl)
